# Share

Public sharing operations without authentication

## Get a shared podcast

> Publicly retrieve a podcast by requestId and date string without requiring authentication

```json
{"openapi":"3.0.0","info":{"title":"Content API","version":"1.0.0"},"tags":[{"name":"Share","description":"Public sharing operations without authentication"}],"servers":[{"url":"https://api.autocontentapi.com"}],"paths":{"/share/podcast/{requestId}/{t}":{"get":{"summary":"Get a shared podcast","description":"Publicly retrieve a podcast by requestId and date string without requiring authentication","tags":["Share"],"parameters":[{"in":"path","name":"requestId","required":true,"schema":{"type":"string"},"description":"The ID of the podcast to retrieve"},{"in":"path","name":"t","required":true,"schema":{"type":"string"},"description":"Date in YYYYMMDD format to validate the request"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"status":{"type":"integer"},"requestedOn":{"type":"string","format":"date-time"},"succeededOn":{"type":"string","format":"date-time"},"requestTypeId":{"type":"integer"},"audioTitle":{"type":"string"},"audioUrl":{"type":"string"},"responseText":{"type":"string"},"script":{"type":"string"},"voice1":{"type":"integer"},"voice2":{"type":"integer"},"language":{"type":"string"}}}}}},"400":{"description":"Bad Request - Invalid parameters"},"404":{"description":"Podcast not found"}}}}}}
```

## Get a shared video

> Publicly retrieve a generated video by requestId and date string without requiring authentication

```json
{"openapi":"3.0.0","info":{"title":"Content API","version":"1.0.0"},"tags":[{"name":"Share","description":"Public sharing operations without authentication"}],"servers":[{"url":"https://api.autocontentapi.com"}],"paths":{"/share/video/{requestId}/{t}":{"get":{"summary":"Get a shared video","description":"Publicly retrieve a generated video by requestId and date string without requiring authentication","tags":["Share"],"parameters":[{"in":"path","name":"requestId","required":true,"schema":{"type":"string"},"description":"The ID of the video to retrieve"},{"in":"path","name":"t","required":true,"schema":{"type":"string"},"description":"Date in YYYYMMDD format to validate the request"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"status":{"type":"integer"},"requestedOn":{"type":"string","format":"date-time"},"succeededOn":{"type":"string","format":"date-time"},"videoTitle":{"type":"string"},"videoUrl":{"type":"string"},"imageUrl":{"type":"string"},"responseText":{"type":"string"},"language":{"type":"string"}}}}}},"400":{"description":"Bad Request - Invalid parameters"},"404":{"description":"Video not found"}}}}}}
```

## Get a shared infographic

> Publicly retrieve an infographic by requestId and date string without requiring authentication

```json
{"openapi":"3.0.0","info":{"title":"Content API","version":"1.0.0"},"tags":[{"name":"Share","description":"Public sharing operations without authentication"}],"servers":[{"url":"https://api.autocontentapi.com"}],"paths":{"/share/infographic/{requestId}/{t}":{"get":{"summary":"Get a shared infographic","description":"Publicly retrieve an infographic by requestId and date string without requiring authentication","tags":["Share"],"parameters":[{"in":"path","name":"requestId","required":true,"schema":{"type":"string"},"description":"The ID of the infographic to retrieve"},{"in":"path","name":"t","required":true,"schema":{"type":"string"},"description":"Date in YYYYMMDD format to validate the request"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"requestedOn":{"type":"string","format":"date-time"},"title":{"type":"string"},"imageUrl":{"type":"string"}}}}}},"400":{"description":"Bad Request - Invalid parameters"},"404":{"description":"Infographic not found"}}}}}}
```

## Get a shared slide deck

> Publicly retrieve a slide deck by requestId and date string without requiring authentication

```json
{"openapi":"3.0.0","info":{"title":"Content API","version":"1.0.0"},"tags":[{"name":"Share","description":"Public sharing operations without authentication"}],"servers":[{"url":"https://api.autocontentapi.com"}],"paths":{"/share/slide-deck/{requestId}/{t}":{"get":{"summary":"Get a shared slide deck","description":"Publicly retrieve a slide deck by requestId and date string without requiring authentication","tags":["Share"],"parameters":[{"in":"path","name":"requestId","required":true,"schema":{"type":"string"},"description":"The ID of the slide deck to retrieve"},{"in":"path","name":"t","required":true,"schema":{"type":"string"},"description":"Date in YYYYMMDD format to validate the request"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"requestedOn":{"type":"string","format":"date-time"},"title":{"type":"string"},"deckUrl":{"type":"string"}}}}}},"400":{"description":"Bad Request - Invalid parameters"},"404":{"description":"Slide deck not found"}}}}}}
```

## Get a shared quiz

> Publicly retrieve a quiz by requestId and date string without requiring authentication

```json
{"openapi":"3.0.0","info":{"title":"Content API","version":"1.0.0"},"tags":[{"name":"Share","description":"Public sharing operations without authentication"}],"servers":[{"url":"https://api.autocontentapi.com"}],"paths":{"/share/quiz/{requestId}/{t}":{"get":{"summary":"Get a shared quiz","description":"Publicly retrieve a quiz by requestId and date string without requiring authentication","tags":["Share"],"parameters":[{"in":"path","name":"requestId","required":true,"schema":{"type":"string"},"description":"The ID of the quiz to retrieve"},{"in":"path","name":"t","required":true,"schema":{"type":"string"},"description":"Date in YYYYMMDD format to validate the request"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"requestedOn":{"type":"string","format":"date-time"},"quizJson":{"type":"string"}}}}}},"400":{"description":"Bad Request - Invalid parameters"},"404":{"description":"Quiz not found"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.autocontentapi.com/readme/share.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
